Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleMap.OnMarkerDragListener

com.google.android.gms.maps.GoogleMap.OnMarkerDragListener

## Class Overview

Callback interface for drag events on markers.

## Summary

Public Methods
abstract void | onMarkerDrag(Marker marker) Called repeatedly while a marker is being dragged.
abstract void | onMarkerDragEnd(Marker marker) Called when a marker has finished being dragged.
abstract void | onMarkerDragStart(Marker marker) Called when a marker starts being dragged.

## Public Methods

#### public abstract void onMarkerDrag (Marker marker)

Called repeatedly while a marker is being dragged. The marker's location can be accessed via `getPosition()`.

##### Parameters

marker | The marker being dragged.

#### public abstract void onMarkerDragEnd (Marker marker)

Called when a marker has finished being dragged. The marker's location can be accessed via `getPosition()`.

##### Parameters

marker | The marker that was dragged.

#### public abstract void onMarkerDragStart (Marker marker)

Called when a marker starts being dragged. The marker's location can be accessed via `getPosition()`; this position may be different to the position prior to the start of the drag because the marker is popped up above the touch point.

##### Parameters

marker | The marker being dragged.